## GdlDockItemButtonImage GdlDockItemButtonImage — A widget displaying an image used in dock grip |

## Stability Level

Private, unless otherwise indicated

## Functions

GtkWidget * | gdl_dock_item_button_image_new ()

## Types and Values

struct | GdlDockItemButtonImage
enum | GdlDockItemButtonImageType

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GdlDockItemButtonImage

## Implemented Interfaces

GdlDockItemButtonImage implements AtkImplementorIface and GtkBuildable.

## Description

The GdlDockItemButtonImage displays a small image which could be a cross (close) or a triangle (iconify). These images are used for buttons in the GdlDockItemGrip object.

## Functions

### gdl_dock_item_button_image_new ()

    GtkWidget *
    gdl_dock_item_button_image_new (GdlDockItemButtonImageType image_type);

Creates a new GDL dock button image object.

#### Parameters

image_type | Specifies what type of image the widget should display |

#### Returns

The newly created dock item button image widget

## Types and Values

### struct GdlDockItemButtonImage

    struct GdlDockItemButtonImage;

### enum GdlDockItemButtonImageType

Define the image displayed.

#### Members

GDL_DOCK_ITEM_BUTTON_IMAGE_CLOSE | Display a small cross |
GDL_DOCK_ITEM_BUTTON_IMAGE_ICONIFY | Display a small triangle |

## See Also

GtlDockItemGrip